Skip to content

TemuPublishQueue

GET
/apps/temu/publish-queue
curl --request GET \
--url https://your-store.myciqra.com/apps/temu/publish-queue \
--header 'Authorization: Bearer <token>'

Required scope: read_products — an installation token without it receives 403.

OK

Media typeapplication/json
object
items
required
Array<object>
object
attributes
required
Array<object>
object
name
required
string
values
required
Array<string>
categoryPath
required
null | string
description
required
null | string
externalGoodsId
required
string
images
required
Array<string>
name
required
string
productId
required
string format: uuid
shipmentLimitDay
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
skus
required
Array<object>
object
barcode
required
One of:
null
basePrice
required
string
externalSkuId
required
string
images
required
Array<string>
listPrice
required
null | string
package
required
One of:
null
productVariantId
required
string format: uuid
quantity
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
variations
required
Array<object>
object
name
required
string
value
required
string
temuGoodsId
required
null | integer | string format: int64
/^-?(?:0|[1-9]\d*)$/
Examplegenerated
{
"items": [
{
"attributes": [
{
"name": "example",
"values": [
"example"
]
}
],
"categoryPath": "example",
"description": "example",
"externalGoodsId": "example",
"images": [
"example"
],
"name": "example",
"productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"shipmentLimitDay": 1,
"skus": [
{
"barcode": {
"id": "example",
"type": "example"
},
"basePrice": "example",
"externalSkuId": "example",
"images": [
"example"
],
"listPrice": "example",
"package": {
"height": "example",
"length": "example",
"weight": "example",
"width": "example"
},
"productVariantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"quantity": 1,
"variations": [
{
"name": "example",
"value": "example"
}
]
}
],
"temuGoodsId": 1
}
]
}